/* ***** BEGIN LICENSE BLOCK *****
 * Version: MPL 1.1/GPL 2.0/LGPL 2.1
 *
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is Annozilla.
 *
 * The Initial Developer of the Original Code is
 * Matthew Wilson <matthew@mjwilson.demon.co.uk>.
 * Portions created by the Initial Developer are Copyright (C) 2002
 * the Initial Developer. All Rights Reserved.
 *
 * Contributor(s):
 *
 * Alternatively, the contents of this file may be used under the terms of
 * either the GNU General Public License Version 2 or later (the "GPL"), or
 * the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
 * in which case the provisions of the GPL or the LGPL are applicable instead
 * of those above. If you wish to allow use of your version of this file only
 * under the terms of either the GPL or the LGPL, and not to allow others to
 * use your version of this file under the terms of the MPL, indicate your
 * decision by deleting the provisions above and replace them with the notice
 * and other provisions required by the GPL or the LGPL. If you do not delete
 * the provisions above, a recipient may use your version of this file under
 * the terms of any one of the MPL, the GPL or the LGPL.
 *
 * ***** END LICENSE BLOCK ***** */

var server;
var resource;
var body;
var editorShell;

function onload () {
    if (window.arguments) {
        server   = window.arguments[0];
        body     = window.arguments[1];
        resource = window.arguments[2];
    }
    //document.getElementById('body').loadURI (body);
    if (server) {
        document.getElementById('delete').disabled  = !server.supports ("DELETE");
        document.getElementById('edit').disabled    = !server.supports ("EDIT");
        document.getElementById('replies').disabled = !server.supports ("REPLIES");
    }
    editorOnLoad(body ? body : 'about:blank');
}

function checkForReplies () {
    server.checkForReplies (resource, RepliesLoad);
}

function RepliesLoad () {
    var ul = document.getElementById ("replyList");
    while (ul.hasChildNodes()) {
        ul.removeChild (ul.firstChild);
    }
    for (var ix=0; ix < server.replies.annotations.length; ix++) {

        /*
        var a = document.createElementNS("http://www.w3.org/1999/xhtml", "a");
        a.setAttribute ("href",
                        "javascript:window.openDialog ('chrome://annozilla/content/load_body.xul', 'annotation-body', 'chrome,resizable', server, '" +
                         server.replies.annotations[ix].data.body + "', '" +
                         server.replies.annotations[ix].resource + "')");

        a.appendChild
            (document.createTextNode
             (server.replies.annotations[ix].description()));

        var li = document.createElementNS("http://www.w3.org/1999/xhtml", "li");
        li.appendChild(a);
        */

        var li = document.createElementNS (
                "http://www.w3.org/1999/xhtml", "li"
                );
        li.appendChild (
                document.createTextNode (
                    server.replies.annotations[ix].description()));

        ul.appendChild (li);
    }
}


function editorOnLoad(url)
{
    editorShell = document.getElementById("edit-frame").editorShell;
    editorShell.editorType = 'html';
    editorShell.webShellWindow = window.frames[0];
    editorShell.contentWindow  = window.frames[0];
    editorShell.RegisterDocumentStateListener(DocumentStateListener);
    editorShell.contentsMIMEType = "text/html";
    editorShell.LoadUrl(url);
    //EditorSharedStartup();

}

var DocumentStateListener =
{
  NotifyDocumentCreated: function() { },
  NotifyDocumentWillBeDestroyed: function() {},
  NotifyDocumentStateChanged:function( isNowDirty ) { }
};

